require 'moonloader'
encoding = require("encoding"); encoding.default = 'CP1251'; u8 = encoding.UTF8  
JSON_PATH = getWorkingDirectory() .. '/json'
CFG_PATH = getWorkingDirectory() .. '/cfg'
createDirectory(CFG_PATH)
createDirectory(JSON_PATH)

cfgs = {}

local handleFile, nameFile = findFirstFile(CFG_PATH..'/*.cfg')
while nameFile do
	if handleFile then
		if not nameFile then 
			findClose(handleFile)
		else
			table.insert(cfgs,CFG_PATH..'/'..nameFile)
			nameFile = findNextFile(handleFile)
		end
	end
end

function main()
	while not isSampAvailable() do wait(0) end

	for k,v in ipairs(cfgs) do
		local cfg = io.open(v,'r+')
		local text = u8(cfg:read('*a'))
		local func,err = load('return {'..text..'}')
		if err == nil and type(func()) == 'table' then
			local json = io.open(JSON_PATH .. '//' ..string.match(v,'.+/(.+)%.cfg$') .. '.json','w')
			json:write(encodeJson(func()))
			json:close()
		else
			sampAddChatMessage('Ошибка файла '..string.match(v,'.+/(.+)$') .. ',' ..err,-1)
		end
		cfg:close()
	end

	wait(-1)
end